//-----------------------------------------------------------------------------
// Includes
//-----------------------------------------------------------------------------
#include <c8051f300.h>
#include "blikac.h" // Battery Hearder File
//-----------------------------------------------------------------------------
// Functions
//-----------------------------------------------------------------------------
void Config_F300(void)
{ 
	RSTSRC = 0x02; // Enable VDD Monitor
	XBR0 = 0x30; // Skip P0.4,5; theyre analog In
	XBR1 = 0x44; // Enable SMBus on P0.0, P0.1, and CEX0
	XBR2 = 0x40; // as PWM at P0.2
	// Enable crossbar and weak pull-ups
	P0MDOUT = 0x4C; // Set P0.2 & P0.3,6 output to push-pull
	P0MDIN = 0xcF; // Configure P0.4,5 as Analog Inputs
	OSCICN = 0x07; // Set SYSCLK to 24.5MHz, internal osc.
	PCA0MD = 0x00; // Disable WDT
}

//-----------------------------------------------------------------------------
// Main Function
//-----------------------------------------------------------------------------
void main(void)
{
    unsigned int i;

	EA = 0; // Disable All Interrupts
	Config_F300(); // Config F300
	EA = 1; // Enable All Active Interrupts

	while(1)
	{
	LED0 = 0; // Turn LED0 ON
	for (i=0;i<60000;i++);
	LED0 = 1; // Turn LED0 OFF
	for (i=0;i<60000;i++);
	}
}

