//-----------------------------------------------------------------------------
// Function Prototypes
//-----------------------------------------------------------------------------
void Config_F300(void);

//-----------------------------------------------------------------------------
// Bit maskable PORT Definitions
//-----------------------------------------------------------------------------
sbit SDA = P0 ^ 0; // bit 0 : SDA In/Output, Pin P0.
sbit SCL = P0 ^ 1; // bit 1 : SCL Output, Pin P1.
sbit LED0 = P0 ^ 6; // bit 3 : LED0, Pin P0.3
//-----------------------------------------------------------------------------
// 8051F300 PARAMETERS
//-----------------------------------------------------------------------------
#define SYSCLK 24500000 // System clock frequency
#define TEMP_SENSOR_GAIN 3300 // Temp Sensor Gain in (uV / degC)
#define TEMP_GAIN 2 // PGA gain setting
#define CURRENT_GAIN 4 // PGA gain setting
#define VREF 3200 // ADC Voltage Reference (mV)
#define SCRATCH_PAGE 0x1C00 // FLASH page used for temp storage
#define PWM_CLOCK SYSCLK/255 // PWM frequency is 96 kHz
//-----------------------------------------------------------------------------
// Calibration/Calculation PARAMETERS
//-----------------------------------------------------------------------------
#define V1_CAL 67 // 1st cal point for 2 point cal.
#define V2_CAL 2800 // 2nd cal point for 2 point cal.
#define I1_CAL 67 // 1st cal point for 2 point cal.
#define I2_CAL 133 // 2nd cal point for 2 point cal.
#define RSENSE 1 // RSENSE is assumed to be 1/2 ohm
#define RESB 20 // 10k Ohms, Voltage Divide Resistor
#define RESAB 30 // 20k Ohms, Voltage Divide Resistor
#define TEMP_SLOPE ((long) TEMP_GAIN * TEMP_SENSOR_GAIN * 65536 / 100 / VREF)
// An estimate of the Temperature<SLOPE>
// in [tenth codes / K]
// The temperature measurement is
// within 3 degrees of accuracy.
// END OF FILE